packagekit-backend-aptcc pulls in python2

Bug #1283574 reported by Dimitri John Ledkov on 2014-02-22
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gdebi (Ubuntu)
Undecided
Barry Warsaw
packagekit (Ubuntu)
Undecided
Unassigned

Bug Description

Investigating the chain of reverse-depends of python2, i've noticed gdebi-core / packagekit-backend-aptcc are pulled onto the images.

It appears that packagekit and packagekit-plugin-click are explicitely seeded in, but packagekit has a hard dependency on packagekit-backend-aptcc.

I don't believe packagekit-backend-aptcc should be present on the touch images, since they are read-only by default and no apt operations are expected to be performed. Would it be reasonable to change packagekit Depends to "packagekit-backend-aptcc | packagekit-plugin-click" such that packagekit-backend-aptcc could be avoided on the touch images?

Related branches

affects: ubuntu-touch-meta (Ubuntu) → packagekit (Ubuntu)
Changed in packagekit (Ubuntu):
assignee: nobody → Colin Watson (cjwatson)
Matthias Klumpp (ximion) wrote :

In that case you will need to supply a dummy backend or PackageKit will crash badly. But with dummy, that things is useless, and I doubt that the Click plugin will work eithout a working Apt backend ;-)

Colin Watson (cjwatson) wrote :

click doesn't have a particular dependency on the apt backend, so I don't understand the purpose of your smiley here.

That said, the aptcc backend is still useful on touch to allow querying information about the installed system. I'd prefer not to remove it.

Matthias Klumpp (ximion) wrote :

The Click plugin interacts with the backend, and aptcc is the only backend Debian/Ubuntu have. With the dummy backend, it would get bogus information, so it in a way depends on the aptcc backend.

It doesn't really care what information the backend returns. It just
chains through to it.

Dimitri John Ledkov (xnox) wrote :

On 23 February 2014 09:37, Colin Watson <email address hidden> wrote:
> click doesn't have a particular dependency on the apt backend, so I
> don't understand the purpose of your smiley here.
>
> That said, the aptcc backend is still useful on touch to allow querying
> information about the installed system. I'd prefer not to remove it.

ok. packagekit-backend-aptcc depends on:
* python, python3-packagekit ( i think the python dep, is just a typo)
* gdebi-core -> python, python-apt, python-debian.

I'll open the tasks to port those to python3.

--
Regards,

Dimitri.

Changed in packagekit (Ubuntu):
assignee: Colin Watson (cjwatson) → nobody
summary: - packagekit-backend-aptcc is present on touch images
+ packagekit-backend-aptcc pulls in python3
summary: - packagekit-backend-aptcc pulls in python3
+ packagekit-backend-aptcc pulls in python2
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package packagekit - 0.8.12-1ubuntu3

---------------
packagekit (0.8.12-1ubuntu3) trusty; urgency=medium

  * Change p-b-aptcc backend helper shebang from python2 to python3. (LP:
    #1283574)
 -- Dimitri John Ledkov <email address hidden> Mon, 24 Feb 2014 17:12:52 +0000

Changed in packagekit (Ubuntu):
status: New → Fix Released
Barry Warsaw (barry) on 2014-03-30
Changed in gdebi (Ubuntu):
assignee: nobody → Barry Warsaw (barry)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gdebi - 0.9.5

---------------
gdebi (0.9.5) unstable; urgency=medium

  [ Barry Warsaw ]
  * New upstream release.
  * Switched all command line scripts to Python 3 and dropped Dependencies
    on Python 3. (LP: #1283574)
  * Some whitespace cleanup.
  * Removed some unnecessary shebang lines.
  * Set the dpkg child process write file descriptor to 'inheritable'.

  [ Dimitri John Ledkov ]
  * Process all packages with dh_python3, to get correct dependencies.

 -- Dimitri John Ledkov <email address hidden> Wed, 02 Apr 2014 00:18:33 +0100

Changed in gdebi (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers